Package org.eclipse.lemminx.services.format

## Class DOMAttributeFormatter

- java.lang.Object
- - org.eclipse.lemminx.services.format.DOMAttributeFormatter

    public class DOMAttributeFormatter
    extends Object

DOM attribute formatter.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`DOMAttributeFormatter​(XMLFormatterDocument formatterDocument)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `formatAttribute​(DOMAttr attr, int prevOffset, boolean singleAttribute, boolean useSettings, boolean isFirstAttr, XMLFormattingConstraints parentConstraints, List<org.eclipse.lsp4j.TextEdit> edits)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMAttributeFormatter

    public DOMAttributeFormatter​(XMLFormatterDocument formatterDocument)

### Method Detail

#### formatAttribute

    public void formatAttribute​(DOMAttr attr,
                                int prevOffset,
                                boolean singleAttribute,
                                boolean useSettings,
                                boolean isFirstAttr,
                                XMLFormattingConstraints parentConstraints,
                                List<org.eclipse.lsp4j.TextEdit> edits)